Subject: Re: [PATCH v3 1/2] netfilter_queue: enable UID/GID socket info retrieval

From: Florian Westphal <[email-masked]>
Date: Fri, 20 Dec 2013 16:03:24 +0100

Valentina Giusti <[email-masked]> wrote:
> >I think this should be 'return 0'?
> I put return -1 because I think that if userspace has requested to
> receive UID and GID, then it should be dumped only packets that have
> that information available.
> Are you suggesting that it should be otherwise?

Yes, doing that doesn't make sense to me.
And it is inconsitent:
Packets without socket information are queued normally
in your patch, but suddently if its a timewait socket
its an error?

Why would we want timewait packets to NOT be queued?
vs. for example forwarded packets?

Userspace can test for presence of the attributes, i.e.
no NFQA_UID attribute -> no socket present, or lack of uid
information.

If you have a counter-example?